IAcSmProjectPointLocations
The Sheet ProjectPointLocations
interface.
available methods :
(setq cad (vlax-get-acad-object))
(setq doc (vla-get-ActiveDocument
cad))
(setq ssmgr (vla-GetInterfaceObject cad
"BricscadSm.AcSmSheetSetMgr"))
(setq smdb (vlax-invoke-method ssmgr
'OpenDatabase dstfile))
(setq iter (vlax-invoke-method smdb
'GetEnumerator))
(setq ppLocations (scanUntilObject iter
"AcSmProjectPointLocations"))
Note : "(scanUntilObject)" is a utility
function contained in the sample Lisp files in folder
"<LDSP>/SheetSetManager-Lisp-API/LISP Sample Code"
GetLocation |
returns the
IAcSmProjectPointLocation location object for the specified
location name |
RemoveLocation |
removes the specified
IAcSmProjectPointLocation object from this collection |
AddNewLocation |
adds the specified location
to this collection and returns the created
IAcSmProjectPointLocation object |
GetEnumerator |
returns an enumerator for the
IAcSmEnumProjectPointLocation objects in this collection |
© Bricsys NV. All rights reserved. |